windows installer: avoid white space in default install path

2007-06-04 01:44 PM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10782

Description

Hi,

could the windows installer be changed to NOT include white space in the default install path? This breaks many GRASS commands. We

work hard on fixing it but it takes time (all hand work and > 600000 lines of code...).

thanks

Markus

History

#1 - 2007-06-10 07:55 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

This kind of goes against normal windows installation convention of putting things in c:\\program files\\. Since not all QGIS users make use of grass

functionality I would like to provide them with a 'normal' installation experience too. As compromise, I have added a message to the installation directory

step indicating that for full grass functionality it is better to install to a path with no spaces. See 

http://flickr.com/photo_zoom.gne?id=539797344&#38;size=o for example. In addition I have enabled share/qgis/doc/readme.html to be displayed at the

end of the install process and we can add some additional notes there. I hope this is acceptible. I am closing the bug. Please reopen if you still are unhappy

with the above solution.

Regards

Tim

#2 - 2007-06-23 09:03 AM - Markus Neteler

hi Tim,

great solution. Thanks, Markus

#3 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted
